/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats;

/**
 * Helps track a running average
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public class Average {
    private long count = 0;
    private long total = 0;
 
    public void add(long value) {
        this.count++;
        this.total += value;
    }
    
    public long getCount() {
        return this.count;
    }

    public long getTotal() {
        return this.total;
    }

    public double getAverage() {
        return ((double)this.total) / ((double)this.count);
    }
}
