/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats;

import java.util.Date;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jasig.portal.stats.quartz.JobParametersProvider;
import org.springframework.batch.core.Job;
import org.springframework.batch.core.JobParameters;
import org.springframework.batch.core.JobParametersBuilder;

/**
 * Simple job parameter provider that provides the current Date, ensures a job always has unique parameters
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public class UniqueJobParameterProvider implements JobParametersProvider {
    protected final Log logger = LogFactory.getLog(this.getClass());
    
    /* (non-Javadoc)
     * @see org.jasig.portal.stats.quartz.JobParametersProvider#getJobParameters(org.springframework.batch.core.Job)
     */
    public JobParameters getJobParameters(Job job) {
        final JobParametersBuilder parametersBuilder = new JobParametersBuilder();
        parametersBuilder.addDate("JOB_START", new Date());
        
        return parametersBuilder.toJobParameters();
    }
}
