/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.cache;

import java.io.Serializable;

import org.aopalliance.intercept.MethodInvocation;
import org.springmodules.cache.key.CacheKeyGenerator;

/**
 * Uses the {@link CollectionsCacheKeyBuilder} to build a cache key
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public class FullCacheKeyGenerator implements CacheKeyGenerator {

    /* (non-Javadoc)
     * @see org.springmodules.cache.key.CacheKeyGenerator#generateKey(org.aopalliance.intercept.MethodInvocation)
     */
    public Serializable generateKey(MethodInvocation methodInvocation) {
        final Object[] arguments = methodInvocation.getArguments();
        return CollectionsCacheKeyBuilder.generateCacheKey(arguments);
    }
}
