/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import org.jasig.portal.stats.om.ChannelInfo;


/**
 * Retrieves stats aggregation related information about a specified channelDefinitionId
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface ChannelInfoLoader {
    /**
     * @param channelDefinitionId The portal's definition ID for a channel
     * @return The full channel information for the ID, including a stats-specific key. Will not be null.
     */
    public ChannelInfo getChannelInfo(long channelDefinitionId);
}
