/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import org.jasig.portal.stats.om.ChannelInfo;

/**
 * Loads the stats synthetic key for a specified ChannelInfo object, creating the key and populating the backing
 * store if needed.
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface ChannelStatsKeyDao {

    /**
     * @param channelInfo Channel information to get/create the key for
     * @return The stats key for the channel info
     */
    public long getChannelStatsKey(ChannelInfo channelInfo);

}