/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import java.util.Map;

/**
 * Handles SQL execution for the {@link org.jasig.portal.stats.IntervalHelper} factored out of that class to allow
 * for a caching aspect
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface IntervalHelperDao {

    /**
     * @param sql The interval query to run
     * @param params Arguments for the query
     * @return Results with the key as the column name and column value as a Number
     */
    public abstract Map<String, Number> queryForMap(String sql, Map<?, ?> params);

}