/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import java.util.LinkedHashMap;
import java.util.Map;

import javax.sql.DataSource;

import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.simple.SimpleJdbcDaoSupport;

/**
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public class IntervalHelperDaoImpl extends SimpleJdbcDaoSupport implements IntervalHelperDao {
    /* (non-Javadoc)
     * @see org.springframework.jdbc.core.support.JdbcDaoSupport#createJdbcTemplate(javax.sql.DataSource)
     */
    @Override
    protected JdbcTemplate createJdbcTemplate(DataSource dataSource) {
        final JdbcTemplate jdbcTemplate = super.createJdbcTemplate(dataSource);
        jdbcTemplate.setMaxRows(1);
        return jdbcTemplate;
    }
    
    /* (non-Javadoc)
     * @see org.jasig.portal.stats.dao.IntervalHelperDao#queryForMap(java.lang.String, java.util.Map)
     */
    public Map<String, Number> queryForMap(String sql, Map<?, ?> params) {
        final Map<String, Object> results = this.getSimpleJdbcTemplate().queryForMap(sql, params);
        
        final Map<String, Number> castResultsMap = new LinkedHashMap<String, Number>();
        for (final Map.Entry<String, Object> result : results.entrySet()) {
            final String key = result.getKey();
            final Number value = (Number)result.getValue();
            castResultsMap.put(key, value);
        }
        
        return castResultsMap;
    }
}
