/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import java.util.Date;

/**
 * Tracks the date of the last processed event for a specified job name.
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface JobDateStore {
    public static final String STORED_DATE = "STORED_DATE";

    /**
     * Get the last processed event date for the specified job, null means no events have been processed for this job
     */
    public Date getStoredDate(String jobName);

    /**
     * Set the last processed event date for the specified job
     */
    public void setStoredDate(String jobName, Date lastEventDate);

}