/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import org.jasig.portal.stats.SqlLoader;
import org.springframework.jdbc.core.simple.SimpleJdbcDaoSupport;

/**
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public class StatsGroupsDaoImpl extends SimpleJdbcDaoSupport implements StatsGroupsDao {
    private final String groupKeysQuery;
    
    public StatsGroupsDaoImpl() {
        final SqlLoader sqlLoader = new SqlLoader("org/jasig/portal/stats/dao/StatsGroupsDaoImplSql.xml", this.getClass().getClassLoader());
        this.groupKeysQuery = sqlLoader.getSql("groupKeysQuery");
    }

    /* (non-Javadoc)
     * @see org.jasig.portal.stats.dao.StatsGroupDao#getGroupKeys()
     */
    public Map<String, Integer> getGroupKeys() {
        final List<Map<String, Object>> groupKeyResults = this.getSimpleJdbcTemplate().queryForList(this.groupKeysQuery);
        
        final Map<String, Integer> groupKeys = new LinkedHashMap<String, Integer>();
        
        for (final Map<String, Object> rowResult : groupKeyResults) {
            final String portalGroupKey = (String)rowResult.get("PORTAL_GROUP_ID");
            final Integer statsGroupKey = ((Number)rowResult.get("PORTAL_GROUP_LOOKUP_KEY")).intValue();
            groupKeys.put(portalGroupKey, statsGroupKey);
        }
        
        return groupKeys;
    }
}
