/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import org.jasig.portal.stats.dao.TabInfoDaoImpl.UserLayoutInfo;
import org.jasig.portal.stats.om.TabInfo;

/**
 * Loads tab information and user layout information from the portal database
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface TabInfoDao {

    /**
     * Gets the TabInfo for the specified layout node
     */
    public TabInfo getTabInfo(final long userId, final long layoutId, final long nodeId);

    /**
     * Gets the user id and layout id for a username and profile
     */
    public UserLayoutInfo getUserLayoutInfo(String username, int profileId);

}