/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import org.jasig.portal.stats.om.TabInfo;


/**
 * Handles logic around transient nodes, DLM node references and PLF nodes to determine the correct TabInfo to return
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface TabInfoLoader {
    /**
     * @param username Name of the user that the event was for
     * @param profileId Name of the active layout profile
     * @param layoutStructId Name of the layout structure ID
     * @return The populated TabInfo for the layout node 
     */
    public TabInfo getTabInfo(String username, int profileId, String layoutStructId);
}
