/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao.aggr;

import java.util.Map;

import org.jasig.portal.stats.om.CountAndTime;
import org.jasig.portal.stats.om.Interval;
import org.jasig.portal.stats.om.IntervalInfo;

/**
 * Calculates aggregates for tab rendering information
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface TabAggregateDao {
    
    /**
     * Updates aggregate calculations for the specified intervals, groups and channels.
     * 
     * @param intervals Map of intervals to concrete interval info, these are the intervals that need to have aggregates calculated
     * @param tabDataMap Map of group ids to tab ids to tab rendering summaries to incorperate into the aggregates
     */
    public void updateIntervals(Map<Interval, IntervalInfo> intervals, Map<Integer, Map<Long, CountAndTime>> tabDataMap);
}
