/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.events;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;
import org.jasig.portal.stats.om.ChannelInfo;

/**
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public abstract class ChannelEvent extends PortalEvent {
    private ChannelInfo channelInfo;
    
    public ChannelEvent(long eventId, EventType type) {
        super(eventId, type);
    }

    public ChannelInfo getChannelInfo() {
        return channelInfo;
    }

    public void setChannelInfo(ChannelInfo channelInfo) {
        this.channelInfo = channelInfo;
    }

    /**
     * @see java.lang.Object#equals(Object)
     */
    @Override
    public boolean equals(Object object) {
        if (object == this) {
            return true;
        }
        if (!(object instanceof ChannelEvent)) {
            return false;
        }
        final ChannelEvent rhs = (ChannelEvent) object;
        return new EqualsBuilder()
            .appendSuper(super.equals(rhs))
            .append(this.channelInfo, rhs.channelInfo)
            .isEquals();
    }

    /**
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        return new HashCodeBuilder(2005163351, -206250959)
            .appendSuper(super.hashCode())
            .append(this.channelInfo)
            .toHashCode();
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.SHORT_PREFIX_STYLE)
            .appendSuper(super.toString())
            .append("channelInfo", this.channelInfo)
            .toString();
    }
}