/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.events;

import org.springframework.dao.RecoverableDataAccessException;

/**
 * Thrown if a loaded event row is not of a recognized type.
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public class UnrecognizedEventTypeException extends RecoverableDataAccessException {
    private static final long serialVersionUID = 1L;

    /**
     * @param msg
     * @param cause
     */
    public UnrecognizedEventTypeException(String msg, Throwable cause) {
        super(msg, cause);
    }

    /**
     * @param msg
     */
    public UnrecognizedEventTypeException(String msg) {
        super(msg);
    }

}
