/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.om;

/**
 * Used to track render counts, total time and max time
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public class CountAndTime {
    private long count = 0;
    private long totalTime = 0;
    private long maxTime = 0;
    
    public void addTime(long renderTime) {
        this.count++;
        this.totalTime += renderTime;
        this.maxTime = Math.max(this.maxTime, renderTime);
    }

    public long getCount() {
        return count;
    }

    public long getTotalTime() {
        return this.totalTime;
    }

    public long getMaxTime() {
        return maxTime;
    }
}