/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.om;

import java.io.Serializable;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * Represents a tab for stats aggregation purposes, the tabStatsKey should be used as a foriegn key by
 * any stats that need to reference a particular tab
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public class TabInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    private long tabStatsKey;
    private String name;

    /**
     * @return the tabStatsKey
     */
    public long getTabStatsKey() {
        return tabStatsKey;
    }
    /**
     * @param tabStatsKey the tabStatsKey to set
     */
    public void setTabStatsKey(long tabStatsKey) {
        this.tabStatsKey = tabStatsKey;
    }
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    
    /**
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        return new HashCodeBuilder(1111058281, -1011678045)
            .append(this.tabStatsKey)
            .append(this.name)
            .toHashCode();
    }
    /**
     * @see java.lang.Object#equals(Object)
     */
    @Override
    public boolean equals(Object object) {
        if (object == this) {
            return true;
        }
        if (!(object instanceof TabInfo)) {
            return false;
        }
        TabInfo rhs = (TabInfo) object;
        return new EqualsBuilder()
            .append(this.tabStatsKey, rhs.tabStatsKey)
            .append(this.name, rhs.name)
            .isEquals();
    }
    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.SHORT_PREFIX_STYLE)
            .append("tabStatsKey", this.tabStatsKey)
            .append("name", this.name)
            .toString();
    }
}
