/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.quartz;

import org.springframework.batch.core.Job;
import org.springframework.batch.core.JobParameters;

/**
 * Dynamically get job parameters for a job.
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface JobParametersProvider {
    /**
     * Get the parameters for this job. Can NOT return null.
     */
    public JobParameters getJobParameters(Job job);
}
