/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.shutdown;

/**
 * Listens for application shutdown. A call to {@link #shutdown()} should block until the class is completely
 * shut down.
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface ShutdownListener {
    /**
     * Called when the application is shutting down, should block until the class is completely shut down
     */
    public void shutdown();
}
